<?php

namespace common\logic\Document\DeliveryNote;

use common\logic\AbstractContainer;

class DeliveryNoteContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return DeliveryNote::class;
    }

    public function getServices(): array
    {
        return [
            DeliveryNoteBuilder::class,
            DeliveryNoteSolver::class,
        ];
    }

    public function getFactory(): DeliveryNoteBuilder
    {
        return DeliveryNoteBuilder::getInstance();
    }

    public function getSolver(): DeliveryNoteSolver
    {
        return DeliveryNoteSolver::getInstance();
    }
}