<?php

namespace common\logic\Document\Invoice;

use common\logic\Document\Document\DocumentManager;
use common\logic\Document\Quotation\QuotationBuilder;
use common\logic\PointSale\PointSale\QuotationRepository;

/**
 * @mixin QuotationRepository
 * @mixin QuotationBuilder
 */
class QuotationManager extends DocumentManager
{
    public function getContainerFqcn(): string
    {
        return QuotationContainer::class;
    }
}