<?php

namespace common\logic\PointSale\UserPointSale;

use common\logic\AbstractContainer;

class UserPointSaleContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return UserPointSale::class;
    }

    public function getServices(): array
    {
        return [
            UserPointSaleRepository::class,
            UserPointSaleBuilder::class,
        ];
    }

    public function getRepository(): UserPointSaleRepository
    {
        return UserPointSaleRepository::getInstance();
    }

    public function getBuilder(): UserPointSaleBuilder
    {
        return UserPointSaleBuilder::getInstance();
    }
}