<?php

namespace common\logic\Producer\ProducerPriceRange;

use common\logic\ContainerInterface;
use common\logic\AbstractSingleton;

class ProducerPriceRangeContainer extends AbstractSingleton implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProducerPriceRange::class;
    }

    public function getServices(): array
    {
        return [
            ProducerPriceRangeRepository::class
        ];
    }

    public function getRepository()
    {
        return new ProducerPriceRangeRepository();
    }
}