<?php

namespace common\logic\User\UserUserGroup;

use common\logic\AbstractService;
use common\logic\RepositoryInterface;
use common\logic\User\User\User;

class UserUserGroupRepository extends AbstractService implements RepositoryInterface
{
    public function getDefaultOptionsSearch(): array
    {
        return [
            'with' => [],
            'join_with' => [],
            'orderby' => '',
            'attribute_id_producer' => ''
        ] ;
    }

    public function findUserUserGroupsByUser(User $user)
    {
        return UserUserGroup::searchAll([
            'id_user' => $user->id
        ]);
    }
}