<?php

namespace common\logic\Distribution\PointSaleDistribution;

use common\logic\AbstractContainer;

class PointSaleDistributionContainer extends AbstractContainer
{
    public function getEntityFqcn(): string
    {
        return PointSaleDistribution::class;
    }

    public function getServices(): array
    {
        return [
            PointSaleDistributionRepository::class,
            PointSaleDistributionBuilder::class,
        ];
    }

    public function getRepository(): PointSaleDistributionRepository
    {
        return PointSaleDistributionRepository::getInstance();
    }

    public function getBuilder(): PointSaleDistributionBuilder
    {
        return PointSaleDistributionBuilder::getInstance();
    }
}