<?php

namespace common\logic\Product\ProductCategory;

use common\logic\AbstractBuilder;
use common\logic\AbstractService;
use common\logic\BuilderInterface;

class ProductCategoryBuilder extends AbstractBuilder implements BuilderInterface
{
    public function instanciateProductCategory(): ProductCategory
    {
        $productCategory = new ProductCategory();

        return $productCategory;
    }

    public function createProductCategory(): ProductCategory
    {
        $productCategory = $this->instanciateProductCategory();
        $this->saveCreate($productCategory);

        return $productCategory;
    }
}