<?php

namespace common\logic\Subscription\ProductSubscription;

use common\logic\ContainerInterface;
use common\logic\AbstractSingleton;

class ProductSubscriptionContainer extends AbstractSingleton implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductSubscription::class;
    }

    public function getServices(): array
    {
        return [
            ProductSubscriptionBuilder::class
        ];
    }

    public function getFactory(): ProductSubscriptionBuilder
    {
        return new ProductSubscriptionBuilder();
    }
}